#!/bin/bash

rm -f t1a1t3.fits
rm -f /tmp/test.cksum /tmp/ref.cksum

export DSS_DIR=..
if [ -z $DSS_MTPT ]; then
  export DSS_MTPT=/catsrv/dss1
fi

if [ -z $DSS_HDRS ]; then
  export DSS_HDRS=/catsrv/dss1/headers
fi
export DSS_EXTN=hhh

if [ -z $DSS_PLTL ]; then
  export DSS_PLTL=locomp20.lis
fi

if [ -z $DSS_JUKE ]; then
  export DSS_JUKE=vol_path.lis
fi

export cmd=`basename $0`
echo ""
echo "Test: $cmd"
echo "Environment:"
echo " export DSS_DIR=$DSS_DIR"
echo " export DSS_MTPT=$DSS_MTPT"
echo " export DSS_HDRS=$DSS_HDRS"
echo " export DSS_EXTN=$DSS_EXTN"
echo " export DSS_PLTL=$DSS_PLTL"
echo "Executing:"
echo "$DSS_DIR/getimage -i  test.request"
echo ""

# Execute the command getimage with the following arguments:
echo "a" | $DSS_DIR/getimage -i  test.request >/dev/null 2>&1
result=$?

# If return 0, check if there is a file called t1a1t3.fits
# and if so, check cksum
if [ $? = 0 ]; then
  if [ -f t1a1t3.fits ]; then
    cksum t1a1t3.fits > /tmp/test.cksum    
    echo  "1532650400 192960 t1a1t3.fits" >/tmp/ref.cksum
    if  diff /tmp/ref.cksum /tmp/test.cksum ; then
      exit 0
    else
      echo "ERROR: cksums /tmp/ref.cksum and /tmp/test.cksum are differents"
      exit 2
    fi 
  else
    echo "ERROR: File t1a1t3.fits not created"
    exit 3
  fi
else 
  echo "ERROR: command getimage returned non-zero"
  exit 4
fi


