#!/bin/bash

rm -f testprog.lis
rm -f testprog.fit

export cmd=`basename $0`
echo "Test: $cmd"
echo "Executing:"
echo "./testprog > testprog.lis"
echo ""

# Execute the command getimage with the following arguments:
./testprog > testprog.lis

# If return 0, check if there is a file called testprog.fit
# and if so, check cksum
if [ $? = 0 ]; then
  if [ -f testprog.fit ]; then
    if cmp testprog.fit testprog.std ; then
      if diff testprog.lis testprog.out ; then
        exit 0
      else
        echo "ERROR: file generated testprog.lis different from reference testprog.out"
        exit 1
      fi
    else
      echo "ERROR: file generated testprog.fit different from reference testprog.std"
      exit 2
    fi 
  else
    echo "ERROR: File testprog.fit not created"
    exit 3
  fi
else 
  echo "ERROR: command getimage returned non-zero"
  exit 4
fi


